import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:shimmer/shimmer.dart';

class WithdrawPageSketelon extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return Shimmer.fromColors(
      baseColor: Colors.grey[300],
      highlightColor: Colors.grey[100],
      child: Container(
        margin: EdgeInsets.only(left: 12.5, right: 12.5, top: 8),
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            Container(
              width: double.infinity,
              height: 97,
              decoration: BoxDecoration(
                  color: Colors.white, borderRadius: BorderRadius.circular(10)),
            ),
            Container(
              margin: EdgeInsets.only(top: 8, bottom: 8),
              height: 20,
              color: Colors.white,
              width: 200,
            ),
            GridView.builder(
              shrinkWrap: true,
              physics: NeverScrollableScrollPhysics(),
              gridDelegate: SliverGridDelegateWithFixedCrossAxisCount(
                crossAxisCount: 3,
                crossAxisSpacing: 10,
                mainAxisSpacing: 10,
                childAspectRatio: 2.5,
              ),
              itemCount: 6,
              itemBuilder: (BuildContext context, int index) {
                return Container(
                  decoration: BoxDecoration(
                      color: Colors.white,
                      borderRadius: BorderRadius.circular(5)),
                );
              },
            ),
            Container(
              margin: EdgeInsets.only(top: 28, bottom: 0),
              height: 60,
              color: Colors.white,
              width: double.infinity,
            ),
            Container(
              margin: EdgeInsets.only(top: 8, bottom: 0),
              height: 20,
              color: Colors.white,
              width: 200,
            ),
            Container(
              margin: EdgeInsets.only(top: 8, bottom: 0),
              height: 20,
              color: Colors.white,
              width: 150,
            ),
          ],
        ),
      ),
    );
  }
}
